<?php
$args = isset($args) ? $args : [];
$modelItem = isset($modelItem) ? $modelItem : [];

$isChecked = (isset($args['values'][$modelItem['key']])
        && filter_var($args['values'][$modelItem['key']], FILTER_VALIDATE_BOOLEAN))
    || (!isset($args['values'][$modelItem['key']]) && isset($modelItem['default']) && $modelItem['default']);
?>
<input type="hidden" value="0"
    <?php echo ($args['asTemplate'] ? 'data-make-' : '') . 'name="' . esc_attr($args['name']) . '" '; ?>>
<input type="checkbox" value="1"
    <?php
    echo ($args['asTemplate'] ? 'data-make-' : '') . 'name="' . esc_attr($args['name']) . '"';
    echo $args['id'] ? ' id="' . esc_attr($args['id']) . '"' : '';
    echo isset($modelItem['data-component']) ? ' data-component="' . esc_attr($modelItem['data-component']) . '"' : '';
    echo $isChecked ? ' checked="checked" ' : '';
    ?>>
