<?php
$args = isset($args) ? $args : [];
$modelItem = isset($modelItem) ? $modelItem : [];
?>
<div class="wcsf-thumbnail" data-component="wcsf-thumbnail">
    <div class="wcsf-thumbnail-image" data-component="wcsf-thumbnail-image">
        <?php if ($args['value']) { ?>
            <img src="<?php echo esc_attr(wp_get_attachment_image_src($args['value'], 'thumbnail')[0]); ?>"
                alt="<?php echo esc_attr(get_the_title($args['value'])); ?>">
        <?php } ?>
    </div>
    <input data-component="wcsf-thumbnail-id"
        type="hidden"
        <?php echo ($args['asTemplate'] ? 'data-make-' : '') . 'name="' . esc_attr($args['name']) . '" '; ?>
        value="<?php echo esc_attr($args['value']); ?>">
    <p class="hide-if-no-js">
        <a href="#" data-component="wcsf-thumbnail-set" role="button"><?php
            _e('Set', 'woocommerce-step-filter');
            ?></a> / <a href="#" data-component="wcsf-thumbnail-remove" role="button"><?php
            _e('Remove', 'woocommerce-step-filter');
            ?></a>
    </p>
</div>
