<?php
if (!defined('ABSPATH')) {
    exit();
}

$id = isset($id) ? $id : false;

if (!$id) {
    throw new Exception('Empty id');
}

$defaults = [
    'id' => $id,
    'backButtonText' => \WCStepFilter\Filter::getSetting($id, 'back_button_text'),
    'prevStepId' => null
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;
?>
<button class="btn btn-default btn-secondary wcsf-back"
    type="submit"
    name="stepId"
    value="<?php echo esc_attr($arguments['prevStepId']); ?>"
    data-component="wcsf-go-to"
    data-id="<?php echo esc_attr($arguments['prevStepId']); ?>"><?php
    echo wp_kses_post($arguments['backButtonText']);
    ?></button><!--spacer-->
