<?php
if (!defined('ABSPATH')) {
    exit();
}

$defaults = [
    'id' => null,
    'resultsButtonText' => \WCStepFilter\Filter::getSetting($id, 'results_button_text'),
    'showResultsWithin' => \WCStepFilter\Filter::getSetting($id, 'show_results_within')
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;
?>
<button class="btn btn-success wcsf-results"
    type="submit"
    name="results"
    data-component="wcsf-results<?php echo $arguments['showResultsWithin'] ? ' wcsf-submit-and-go-to' : ''; ?>"
    data-id="results"><?php
    echo wp_kses_post($arguments['resultsButtonText']);
    ?></button><!--spacer-->
