<?php
if (!defined('ABSPATH')) {
    exit();
}

$id = isset($id) ? $id : false;

if (!$id) {
    throw new Exception('Empty id');
}

$defaults = [
    'id' => $id,
    'nextButtonText' => \WCStepFilter\Filter::getSetting($id, 'next_button_text'),
    'step' => null
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;
?>
<button class="btn btn-primary wcsf-next"
    type="submit"
    name="stepId"
    value="<?php echo esc_attr($arguments['step']->id); ?>"
    data-component="wcsf-submit-and-go-next"
    data-id="<?php echo esc_attr($arguments['step']->id); ?>"><?php
    echo wp_kses_post($arguments['nextButtonText']);
    ?></button><!--spacer-->
