<?php
if (!defined('ABSPATH')) {
    exit();
}

$id = isset($id) ? $id : false;

if (!$id) {
    throw new Exception('Empty id');
}

$defaults = [
    'id' => $id,
    'description' => \WCStepFilter\Filter::getActiveStepDescription($id)
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;
?>
<div class="wcsf-description"><?php
    echo wp_kses_post($arguments['description']);
    ?></div>
