<?php
if (!defined('ABSPATH')) {
    exit();
}

$defaults = [
    'id' => null,
    'step' => null
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;

if (!isset($arguments['step']->viewType)) {
    return;
}

$arguments['showCount'] = \WCStepFilter\Question::getSetting($arguments['step']->id, 'show_count');

$classes = [
    'wcsf-fields',
    'wcsf-fields-' . $arguments['step']->id,
    'wcsf-fields-' . $arguments['step']->viewType,
    'wcsf-fields-alignment-' . $arguments['step']->alignment
];
?>
<div class="<?php echo esc_attr(implode(' ', $classes)); ?>"><?php
    \WCStepFilter\Core::getTemplatePart('fields/' . $arguments['step']->viewType, $arguments);
    ?></div>
