<?php
if (!defined('ABSPATH')) {
    exit();
}

$id = isset($id) ? $id : false;

if (!$id) {
    throw new Exception('Empty id');
}

$defaults = [
    'id' => $id,
    'backButtonText' => \WCStepFilter\Filter::getSetting($id, 'shop_back_button_text'),
    'backButtonLink' => \WCStepFilter\Filter::getSetting($id, 'shop_back_button_url')
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;
?>
<a class="btn btn-default btn-secondary wcsf-shop-back"
    href="<?php echo esc_url($arguments['backButtonLink']); ?>"><?php
    echo wp_kses_post($arguments['backButtonText']);
    ?></a><!--spacer-->
